## ros-humble-moveit-resources 2.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources)
find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-humble-moveit-resources (2.0.6-1jammy) jammy; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 17 Jul 2022 21:00:00 -0000

ros-humble-moveit-resources (2.0.5-1jammy) jammy; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 24 Jun 2022 21:00:00 -0000

ros-humble-moveit-resources (2.0.4-1jammy) jammy; urgency=high

  * Change ROS2 Maintainer (#114 <https://github.com/ros-planning/moveit_resources/issues/114>)
  * Contributors: Dave Coleman

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 18 May 2022 21:00:00 -0000

ros-humble-moveit-resources (2.0.3-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 15 Sep 2021 21:00:00 -0000

ros-humble-moveit-resources (2.0.2-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 23 May 2021 21:00:00 -0000

ros-humble-moveit-resources (2.0.1-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Apr 2021 21:00:00 -0000

ros-humble-moveit-resources (2.0.0-1jammy) jammy; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Travis: Port to ROS2 (#25 <https://github.com/ros-planning/moveit_resources/issues/25>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Dave Coleman <dave@dav.ee>  Thu, 19 Nov 2020 21:00:00 -0000

ros-humble-moveit-resources (0.7.1-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Oct 2020 21:00:00 -0000

ros-humble-moveit-resources (0.7.0-1jammy) jammy; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Contributors: Robert Haschke, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Wed, 12 Aug 2020 21:00:00 -0000

ros-humble-moveit-resources (0.6.5-1jammy) jammy; urgency=high

  * [maintenance] unify with official panda_moveit_config: define ready and extended poses
  * [maintenance] fanuc_moveit_config: cleanup definition of move_group capabilities (#23 <https://github.com/ros-planning/moveit_resources/issues/23>)
  * [fix]         fixed normals of link4 STLs
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Mon, 17 Feb 2020 21:00:00 -0000

ros-humble-moveit-resources (0.6.4-1jammy) jammy; urgency=high

  * Added Franka Emika's Panda robot (#19 <https://github.com/ros-planning/moveit_resources/issues/19>)
  * Contributors: Mohmmad Ayman

 -- Dave Coleman <dave@dav.ee>  Wed, 05 Sep 2018 21:00:00 -0000

ros-humble-moveit-resources (0.6.3-1jammy) jammy; urgency=high

  * [enhance] Update param scope (#17 <https://github.com/ros-planning/moveit_resources/issues/17>)
  * [enhance] Use the "Hybrid" collision checker and created a sample config file for parameters (#16 <https://github.com/ros-planning/moveit_resources/issues/16>)
  * Contributors: Simon Schmeisser, Will Baker

 -- Dave Coleman <dave@dav.ee>  Tue, 17 Apr 2018 21:00:00 -0000

ros-humble-moveit-resources (0.6.2-1jammy) jammy; urgency=high

  * [fix] Missing license to fanuc pkgs imported from ros-industrial/fanuc. #11 <https://github.com/ros-planning/moveit_resources/issues/11>. (#12 <https://github.com/ros-planning/moveit_resources/issues/12>)
  * [fix] Missing run depends for [robot|joint]_state_publisher (#14 <https://github.com/ros-planning/moveit_resources/issues/14>)
  * [fix] Correct warehouse ros mongo (#13 <https://github.com/ros-planning/moveit_resources/issues/13>)
  * [improve] test chomp (#10 <https://github.com/ros-planning/moveit_resources/issues/10>)
  * Contributors: Chittaranjan Srinivas Swaminathan, Dave Coleman, G.A. vd. Hoorn, kirstyellis

 -- Dave Coleman <dave@dav.ee>  Thu, 06 Apr 2017 21:00:00 -0000

ros-humble-moveit-resources (0.6.1-1jammy) jammy; urgency=high

  * [sys] Added Fanuc robot model (m10ia) for system testing. Improve README (#7 <https://github.com/ros-planning/moveit_resources/issues/7>, #8 <https://github.com/ros-planning/moveit_resources/issues/8>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Fri, 26 Aug 2016 21:00:00 -0000

ros-humble-moveit-resources (0.6.0-1jammy) jammy; urgency=high

  * Don't make include dir into build
  * Place include folder in the devel space instead of the build space
    fixes #5 .
  * Add travis indicator
  * added branch name to build status
  * added travis build status indicator in README.md
  * Merge pull request #3 from ros-planning/add-travis
    added travis support
  * Contributors: Dave Coleman, Dave Hershberger, Nantas Nardelli, isucan

 -- Dave Coleman <dave@dav.ee>  Fri, 29 Jan 2016 22:00:00 -0000

ros-humble-moveit-resources (0.5.0-1jammy) jammy; urgency=high

  * bump version for hydro

 -- Dave Coleman <dave@dav.ee>  Mon, 29 Jul 2013 21:00:00 -0000

ros-humble-moveit-resources (0.4.1-1jammy) jammy; urgency=high

  * fix for missing include path
  * fix for missing config.h

 -- Dave Coleman <dave@dav.ee>  Tue, 02 Jul 2013 21:00:00 -0000

ros-humble-moveit-resources (0.4.0-1jammy) jammy; urgency=high

  * fix config.h so it is not created in the source dir

 -- Dave Coleman <dave@dav.ee>  Thu, 23 May 2013 21:00:00 -0000

ros-humble-moveit-resources (0.3.1-1jammy) jammy; urgency=high

  * create config file with location of test resources

 -- Dave Coleman <dave@dav.ee>  Sun, 19 May 2013 21:00:00 -0000

ros-humble-moveit-resources (0.3.0-1jammy) jammy; urgency=high

  * fix srdf robot name
  * change robot name to "pr2" to match urdf

 -- Dave Coleman <dave@dav.ee>  Fri, 08 Mar 2013 22:00:00 -0000

ros-humble-moveit-resources (0.2.0-1jammy) jammy; urgency=high

  * bump version
  * update urdf

 -- Dave Coleman <dave@dav.ee>  Mon, 14 Jan 2013 22:00:00 -0000

ros-humble-moveit-resources (0.1.1-1jammy) jammy; urgency=high

  * fix buildtool tag

 -- Dave Coleman <dave@dav.ee>  Wed, 19 Dec 2012 22:00:00 -0000



=== debian/control ===
Source: ros-humble-moveit-resources
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-resources
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher, ros-humble-moveit-resources-fanuc-description, ros-humble-moveit-resources-fanuc-moveit-config, ros-humble-moveit-resources-panda-description, ros-humble-moveit-resources-panda-moveit-config, ros-humble-moveit-resources-pr2-description, ros-humble-robot-state-publisher, ros-humble-ros-workspace
Description: Resources used for MoveIt testing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-moveit-resources 2.0.7

=== debian/changelog ===
ros-humble-moveit-resources (2.0.7-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Apr 2024 16:00:00 -0000

ros-humble-moveit-resources (2.0.6-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-resources (2.0.5-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 24 Jun 2022 16:00:00 -0000

ros-humble-moveit-resources (2.0.4-1bookworm) bookworm; urgency=high

  * Change ROS2 Maintainer (#114 <https://github.com/ros-planning/moveit_resources/issues/114>)
  * Contributors: Dave Coleman

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-moveit-resources (2.0.3-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 15 Sep 2021 16:00:00 -0000

ros-humble-moveit-resources (2.0.2-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 May 2021 16:00:00 -0000

ros-humble-moveit-resources (2.0.1-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Apr 2021 16:00:00 -0000

ros-humble-moveit-resources (2.0.0-1bookworm) bookworm; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Travis: Port to ROS2 (#25 <https://github.com/ros-planning/moveit_resources/issues/25>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 19 Nov 2020 16:00:00 -0000

ros-humble-moveit-resources (0.7.1-1bookworm) bookworm; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Oct 2020 16:00:00 -0000

ros-humble-moveit-resources (0.7.0-1bookworm) bookworm; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Contributors: Robert Haschke, Michael Görner

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 12 Aug 2020 16:00:00 -0000

ros-humble-moveit-resources (0.6.5-1bookworm) bookworm; urgency=high

  * [maintenance] unify with official panda_moveit_config: define ready and extended poses
  * [maintenance] fanuc_moveit_config: cleanup definition of move_group capabilities (#23 <https://github.com/ros-planning/moveit_resources/issues/23>)
  * [fix]         fixed normals of link4 STLs
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 17 Feb 2020 16:00:00 -0000

ros-humble-moveit-resources (0.6.4-1bookworm) bookworm; urgency=high

  * Added Franka Emika's Panda robot (#19 <https://github.com/ros-planning/moveit_resources/issues/19>)
  * Contributors: Mohmmad Ayman

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 05 Sep 2018 16:00:00 -0000

ros-humble-moveit-resources (0.6.3-1bookworm) bookworm; urgency=high

  * [enhance] Update param scope (#17 <https://github.com/ros-planning/moveit_resources/issues/17>)
  * [enhance] Use the "Hybrid" collision checker and created a sample config file for parameters (#16 <https://github.com/ros-planning/moveit_resources/issues/16>)
  * Contributors: Simon Schmeisser, Will Baker

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 17 Apr 2018 16:00:00 -0000

ros-humble-moveit-resources (0.6.2-1bookworm) bookworm; urgency=high

  * [fix] Missing license to fanuc pkgs imported from ros-industrial/fanuc. #11 <https://github.com/ros-planning/moveit_resources/issues/11>. (#12 <https://github.com/ros-planning/moveit_resources/issues/12>)
  * [fix] Missing run depends for [robot|joint]_state_publisher (#14 <https://github.com/ros-planning/moveit_resources/issues/14>)
  * [fix] Correct warehouse ros mongo (#13 <https://github.com/ros-planning/moveit_resources/issues/13>)
  * [improve] test chomp (#10 <https://github.com/ros-planning/moveit_resources/issues/10>)
  * Contributors: Chittaranjan Srinivas Swaminathan, Dave Coleman, G.A. vd. Hoorn, kirstyellis

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 06 Apr 2017 16:00:00 -0000

ros-humble-moveit-resources (0.6.1-1bookworm) bookworm; urgency=high

  * [sys] Added Fanuc robot model (m10ia) for system testing. Improve README (#7 <https://github.com/ros-planning/moveit_resources/issues/7>, #8 <https://github.com/ros-planning/moveit_resources/issues/8>)
  * Contributors: Dave Coleman, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 26 Aug 2016 16:00:00 -0000

ros-humble-moveit-resources (0.6.0-1bookworm) bookworm; urgency=high

  * Don't make include dir into build
  * Place include folder in the devel space instead of the build space
    fixes #5 .
  * Add travis indicator
  * added branch name to build status
  * added travis build status indicator in README.md
  * Merge pull request #3 from ros-planning/add-travis
    added travis support
  * Contributors: Dave Coleman, Dave Hershberger, Nantas Nardelli, isucan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 29 Jan 2016 16:00:00 -0000

ros-humble-moveit-resources (0.5.0-1bookworm) bookworm; urgency=high

  * bump version for hydro

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jul 2013 16:00:00 -0000

ros-humble-moveit-resources (0.4.1-1bookworm) bookworm; urgency=high

  * fix for missing include path
  * fix for missing config.h

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 16:00:00 -0000

ros-humble-moveit-resources (0.4.0-1bookworm) bookworm; urgency=high

  * fix config.h so it is not created in the source dir

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 23 May 2013 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-resources//opt/ros/humble/opt/moveit_resources/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
